subClassNames {RBioinf} | R Documentation

## Functions to return the names of either subclasses or superclasses.

### Description

Given the name of a S4 class, or a S4 classRepresentation object, these functions return either the names of the direct subclasses or of the direct superclasses.

### Usage

    subClassNames(x)
    superClassNames(x)

### Arguments

`x` | Either the name of a class, or an instance of classRepresentation.

### Details

If a name is given then `getClass` is used to get the class representation object.

### Value

A character vector, listing either the direct subclasses or the direct superclasses, depending on which function was called.

### Author(s)

R. Gentleman

### See Also

`getClass`

### Examples

     subClassNames("matrix")
     superClassNames("matrix")

[Package RBioinf version 1.4.0 Index]